def f(x):
    y=x**3-x-2
    return y

def Encadrement():
    a=1
    b=2
    while b-a >...:
          m=(a+b)/2
          if f(m)*f(a)>=0:
               a=m
          else:
               ...
    return(a,b)





